gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.TextRectangle

Contents

- Exported types
- Methods
  - Overloaded methods
- Properties
  - height
  - width
  - x
  - y

Description

A structure used to store a rectangle used by AtkText.

Synopsis

- newtype TextRectangle = TextRectangle (ManagedPtr TextRectangle)
- newZeroTextRectangle :: MonadIO m => m TextRectangle
- getTextRectangleHeight :: MonadIO m => TextRectangle -> m Int32
- setTextRectangleHeight :: MonadIO m => TextRectangle -> Int32 -> m ()
- getTextRectangleWidth :: MonadIO m => TextRectangle -> m Int32
- setTextRectangleWidth :: MonadIO m => TextRectangle -> Int32 -> m ()
- getTextRectangleX :: MonadIO m => TextRectangle -> m Int32
- setTextRectangleX :: MonadIO m => TextRectangle -> Int32 -> m ()
- getTextRectangleY :: MonadIO m => TextRectangle -> m Int32
- setTextRectangleY :: MonadIO m => TextRectangle -> Int32 -> m ()

# Exported types

newtype TextRectangle Source #

Memory-managed wrapper type.

Constructors

TextRectangle (ManagedPtr TextRectangle) |

#### Instances

Instances details

Eq TextRectangle Source # |
Instance details Defined in GI.Atk.Structs.TextRectangle Methods (==) :: TextRectangle -> TextRectangle -> Bool # (/=) :: TextRectangle -> TextRectangle -> Bool #
CallocPtr TextRectangle Source # |
Instance details Defined in GI.Atk.Structs.TextRectangle Methods boxedPtrCalloc :: IO (Ptr TextRectangle) Source #
BoxedPtr TextRectangle Source # |
Instance details Defined in GI.Atk.Structs.TextRectangle Methods boxedPtrCopy :: TextRectangle -> IO TextRectangle Source # boxedPtrFree :: TextRectangle -> IO () Source #
ManagedPtrNewtype TextRectangle Source # |
Instance details Defined in GI.Atk.Structs.TextRectangle Methods toManagedPtr :: TextRectangle -> ManagedPtr TextRectangle Source #
tag ~ 'AttrSet => Constructible TextRectangle tag Source # |
Instance details Defined in GI.Atk.Structs.TextRectangle Methods new :: MonadIO m => (ManagedPtr TextRectangle -> TextRectangle) -> [AttrOp TextRectangle tag] -> m TextRectangle Source #

newZeroTextRectangle :: MonadIO m => m TextRectangle Source #

Construct a `TextRectangle` struct initialized to zero.

# Methods

## Overloaded methods

# Properties

## height

The height of a rectangle

getTextRectangleHeight :: MonadIO m => TextRectangle -> m Int32 Source #

Get the value of the “`height`” field. When overloading is enabled, this is equivalent to

    get textRectangle #height

setTextRectangleHeight :: MonadIO m => TextRectangle -> Int32 -> m () Source #

Set the value of the “`height`” field. When overloading is enabled, this is equivalent to

    set textRectangle [ #height := value ]

## width

The width of a rectangle

getTextRectangleWidth :: MonadIO m => TextRectangle -> m Int32 Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get textRectangle #width

setTextRectangleWidth :: MonadIO m => TextRectangle -> Int32 -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set textRectangle [ #width := value ]

## x

The horizontal coordinate of a rectangle

getTextRectangleX :: MonadIO m => TextRectangle -> m Int32 Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get textRectangle #x

setTextRectangleX :: MonadIO m => TextRectangle -> Int32 -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set textRectangle [ #x := value ]

## y

The vertical coordinate of a rectangle

getTextRectangleY :: MonadIO m => TextRectangle -> m Int32 Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get textRectangle #y

setTextRectangleY :: MonadIO m => TextRectangle -> Int32 -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set textRectangle [ #y := value ]